#!/bin/bash

# install inserv & chkconfig
# if /sbin/insserv: No such file or directory
# Fix is simple, just to add symlink:
# ln -s /usr/lib/insserv/insserv /sbin/insserv

ROOT_UID=0
E_NOTROOT=67

if [ "$UID" -ne "$ROOT_UID" ]
then
  echo "To run the script require root privileges."
  exit $E_NOTROOT
fi

processor=$(uname -m)

param=$processor
if [ "$processor" == "x86_64" ] 
then
param="x86_64";
else
param="x86";
fi

dir1=$0 
basedir=$(dirname "$0")
cd "$basedir"

if [ ! -d /opt/guardant ]
then 
mkdir /opt/guardant 
fi

if [ ! -d /opt/guardant/glds ]
then 
mkdir /opt/guardant/glds 
fi

if [ ! -d /opt/guardant/glds/sbin ]
then 
mkdir /opt/guardant/glds/sbin 
fi

# echo stop service glds
if [ -f /etc/init.d/glds ]
then
service glds stop 
fi

# echo copy script
cp -f ./glds /etc/init.d
chmod 755 /etc/init.d/glds

# echo copy glds
cp -f ./$param/gldsd /opt/guardant/glds/sbin
chmod 755 /opt/guardant/glds/sbin/gldsd

# echo create  symboilc link 
if [ ! -L /usr/sbin/gldsd ]
then
ln -s /opt/guardant/glds/sbin/gldsd /usr/sbin/gldsd
fi

chkconfig glds on
service glds start



